/* $Id: pgheader.h,v 1.9 2008/07/23 23:20:58 nanardon Exp $ */

#define _RPM_4_4_COMPAT

#include <fmgr.h>
#include <rpm/rpmlegacy.h>

struct pgds_s {
    rpmTag tag;
    Header h;
    const char ** Name;
    int_32 Nametype;
    int_32 Namecount;
    const int_32 * Flags;
    int_32 Flagstype;
    int_32 Flagscount;
    const char ** EVR;
    int_32 EVRtype;
    int_32 EVRcount;
    uint_32 * Color;
};

typedef struct pgds_s * pgds_t;

bytea * headergetDatum(Header h);

Header Datumgetheader(bytea * in, int * size);

Datum header_bytea_in(PG_FUNCTION_ARGS);

Datum header_in(PG_FUNCTION_ARGS);

Datum header_out(PG_FUNCTION_ARGS);

Datum headerfromfile(PG_FUNCTION_ARGS);

Datum header_queryformat(PG_FUNCTION_ARGS);

Datum header_gettagn(PG_FUNCTION_ARGS);

Datum header_query(PG_FUNCTION_ARGS);

Datum header_files_query(PG_FUNCTION_ARGS);

Datum header_deps_query(PG_FUNCTION_ARGS);

Datum header_size(PG_FUNCTION_ARGS);

Datum header_hastag(PG_FUNCTION_ARGS);
